# Uses of Class
org.eclipse.ecf.core.sharedobject.SharedObjectMsg

Packages that use SharedObjectMsg
Package
Description
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.core.sharedobject.model
org.eclipse.ecf.provider.remoteservice.generic
org.eclipse.ecf.remoteservice.eventadmin

## Uses of SharedObjectMsg in org.eclipse.ecf.core.sharedobject

Methods in org.eclipse.ecf.core.sharedobject that return SharedObjectMsg
Modifier and Type
Method
Description
`static SharedObjectMsg`
SharedObjectMsg.`createMsg(String methodName)`
`static SharedObjectMsg`
SharedObjectMsg.`createMsg(String methodName, Object arg)`
`static SharedObjectMsg`
SharedObjectMsg.`createMsg(String methodName, Object[] param)`
`static SharedObjectMsg`
SharedObjectMsg.`createMsg(String className, String methodName)`
`static SharedObjectMsg`
SharedObjectMsg.`createMsg(String className, String methodName, Object arg)`
`static SharedObjectMsg`
SharedObjectMsg.`createMsg(String className, String methodName, Object[] param)`
`static SharedObjectMsg`
SharedObjectMsg.`createMsg(String className, String methodName, Object arg1, Object arg2)`
`static SharedObjectMsg`
SharedObjectMsg.`createMsg(String className, String methodName, Object arg1, Object arg2, Object arg3)`
`static SharedObjectMsg`
SharedObjectMsg.`createMsg(String className, String methodName, Object arg1, Object arg2, Object arg3, Object arg4)`
`static SharedObjectMsg`
SharedObjectMsg.`createMsg(String className, String methodName, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5)`
`SharedObjectMsg`
SharedObjectMsgEvent.`getSharedObjectMsg()`
`protected SharedObjectMsg`
BaseSharedObject.`getSharedObjectMsgFromEvent(ISharedObjectMessageEvent event)`
Get SharedObjectMsg from ISharedObjectMessageEvent.
Methods in org.eclipse.ecf.core.sharedobject with parameters of type SharedObjectMsg
Modifier and Type
Method
Description
`static void`
SharedObjectMsg.`checkForSerializable(SharedObjectMsg aMsg)`
Check a given msg to verify that all Objects in args array implement the Serializable interface.
`protected boolean`
BaseSharedObject.`handleSharedObjectMsg(ID fromID, SharedObjectMsg msg)`
`protected boolean`
BaseSharedObject.`handleSharedObjectMsg(SharedObjectMsg msg)`
SharedObjectMsg handler method.
`protected void`
BaseSharedObject.`sendSharedObjectMsgTo(ID toID, SharedObjectMsg msg)`
Send SharedObjectMessage to container with given ID.
`protected void`
BaseSharedObject.`sendSharedObjectMsgToPrimary(SharedObjectMsg msg)`
Send SharedObjectMsg to this shared object's primary instance.
`protected void`
BaseSharedObject.`sendSharedObjectMsgToSelf(SharedObjectMsg msg)`
Send SharedObjectMsg to local shared object.
Constructors in org.eclipse.ecf.core.sharedobject with parameters of type SharedObjectMsg
Modifier
Constructor
Description
``
`SharedObjectMsgEvent(ID senderObj, ID remoteCont, SharedObjectMsg msg)`

## Uses of SharedObjectMsg in org.eclipse.ecf.core.sharedobject.model

Methods in org.eclipse.ecf.core.sharedobject.model with parameters of type SharedObjectMsg
Modifier and Type
Method
Description
`protected boolean`
SharedModel.`handleSharedObjectMsg(ID fromID, SharedObjectMsg msg)`

## Uses of SharedObjectMsg in org.eclipse.ecf.provider.remoteservice.generic

Subclasses of SharedObjectMsg in org.eclipse.ecf.provider.remoteservice.generic
Modifier and Type
Class
Description
`class`
`RemoteCallImpl`
Methods in org.eclipse.ecf.provider.remoteservice.generic with parameters of type SharedObjectMsg
Modifier and Type
Method
Description
`protected boolean`
RegistrySharedObject.`handleSharedObjectMsg(SharedObjectMsg msg)`

## Uses of SharedObjectMsg in org.eclipse.ecf.remoteservice.eventadmin

Methods in org.eclipse.ecf.remoteservice.eventadmin with parameters of type SharedObjectMsg
Modifier and Type
Method
Description
`protected boolean`
DistributedEventAdmin.`handleSharedObjectMsg(ID fromID, SharedObjectMsg msg)`
Handle the shared object message.